Xalan-Java 2.7.1: Class KeyIndex.KeyIndexIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class KeyIndex.KeyIndexIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xalan.xsltc.dom.MultiValuedNodeHeapIterator
                  |
                  +--org.apache.xalan.xsltc.dom.KeyIndex.KeyIndexIterator

public class KeyIndex.KeyIndexIterator
extends MultiValuedNodeHeapIterator

An iterator representing the result of a reference to either the XSLT `key` function or the XPath `id` function.

Inner classes inherited from class org.apache.xalan.xsltc.dom.MultiValuedNodeHeapIterator
`MultiValuedNodeHeapIterator.HeapNode`

Method Summary
`int` | `getLast()` Returns the number of nodes in this iterator.
`int` | `getNodeByPosition(int position)` Return the node at the given position.
`int` | `next()` Get the next node in the iteration.
`DTMAxisIterator` | `reset()` Resets the iterator to the last start node.
`DTMAxisIterator` | `setStartNode(int node)` Set context node for the iterator.

Methods inherited from class org.apache.xalan.xsltc.dom.MultiValuedNodeHeapIterator
`cloneIterator, gotoMark, setMark`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`getAxis, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setStartNode

    public DTMAxisIterator setStartNode(int node)

  Set context node for the iterator. This will cause the iterator to reset itself, reevaluate arguments to the function, look up nodes in the input and reinitialize its internal heap.
  Parameters:
    `node` - the context node
  Returns:
    A `DTMAxisIterator` set to the start of the iteration.
  Overrides:
    setStartNode in class MultiValuedNodeHeapIterator

### next

    public int next()

  Get the next node in the iteration.
  Returns:
    The next node handle in the iteration, or END.
  Overrides:
    next in class MultiValuedNodeHeapIterator

### reset

    public DTMAxisIterator reset()

  Resets the iterator to the last start node.
  Returns:
    A DTMAxisIterator, which may or may not be the same as this iterator.
  Overrides:
    reset in class MultiValuedNodeHeapIterator

### getLast

    public int getLast()

  Returns the number of nodes in this iterator.
  Returns:
    the number of nodes
  Overrides:
    getLast in class DTMAxisIteratorBase

### getNodeByPosition

    public int getNodeByPosition(int position)

  Return the node at the given position.
  Parameters:
    `position` - The position
  Returns:
    The node at the given position.
  Overrides:
    getNodeByPosition in class DTMAxisIteratorBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.